ImagickPixel::isPixelSimilar
ImagickPixel::setColor
ImagickPixel
PHP Manual

# ImagickPixel::isSimilar

Check the distance between this color and another

### Description

bool ImagickPixel::isSimilar ( ImagickPixel `$color` , float `$fuzz` )
Warning

This function is currently not documented; only its argument list is available.

Checks the distance between the color described by this ImagickPixel object and that of the provided object, by plotting their RGB values on the color cube. If the distance between the two points is less than the fuzz value given, the colors are similar. Deprecated in favour of ImagickPixel::isPixelSimilar().

### Parameters

`color`

  The ImagickPixel object to compare this object against.

`fuzz`

  The maximum distance within which to consider these colors as similar. The theoretical maximum for this value is the square root of three (1.732).

### Return Values

Returns `TRUE` on success.